## lugdulov 0.3.0-1

=== pkg/maemo5/debian/changelog ===
lugdulov (0.3.0-1) unstable; urgency=low

  * New pie chart on map widget to show station status
  * Fix Montreal plugin
  * Better Qt Bearer / Qt 4.7 integration
  * Better maemo integration

 -- Corentin Chary <corentincj@iksaif.net>  Sun, 26 Oct 2010 19:02:59 +0200
