## lugdulov 0.3.0-2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 include(CMakeDependentOption)
 
 set(VERSION_MAJOR "0")
-set(VERSION_MINOR "2")
-set(VERSION_PATCH "2")
+set(VERSION_MINOR "3")
+set(VERSION_PATCH "0")
 
 if(CMAKE_SYSTEM_NAME MATCHES Linux)
   set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} /usr/share/apps/cmake/modules/)
@@ -14,6 +14,7 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)
 
 cmake_dependent_option(BUILD_STATIC_PLUGINS "build static plugins [default: off]" OFF "NOT BUILD_SHARED_LIBS" ON)
+option(BUILD_UTILS "build cli utilities [default: off]" OFF)
 
 include(lugdulov)
 include(QtTranslations) # Local file for maemo_qt4_add_translation()
@@ -29,6 +30,10 @@
 
 set(HAVE_QT_LOCATION ${QTLOCATION_FOUND})
 set(HAVE_QT_BEARER ${QTBEARER_FOUND})
+
+if (QT_VERSION_MAJOR EQUAL "4" AND QT_VERSION_MINOR EQUAL "7")
+  set(HAVE_QT_BEARER TRUE)
+endif()
 
 ## GCC  ##
 set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -O2")
@@ -85,6 +90,9 @@
 add_subdirectory(plugins)
 add_subdirectory(qmapcontrol)
 add_subdirectory(lugdulov)
+if (BUILD_UTILS)
+  add_subdirectory(utils)
+endif ()
 add_subdirectory(pkg)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake config.h ESCAPE_QUOTES)
@@ -129,7 +137,7 @@
   set(CPACK_NSIS_MODIFY_PATH "OFF")
   set(CPACK_BINARY_CYGWIN "OFF")
   set(CPACK_SOURCE_CYGWIN "OFF")
-  set(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} Lugdulo'v")
+  set(CPACK_NSIS_DISPLAY_NAME "Lugdulo'v")
   set(CPACK_NSIS_HELP_LINK "http://xf.iksaif.net/dev/lugdulov.html")
   set(CPACK_NSIS_URL_INFO_ABOUT "http://xf.iksaif.net/dev/lugdulov.html")
   set(CPACK_NSIS_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
@@ -140,7 +148,7 @@
   set(CPACK_GENERATOR "DEB")
   set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
   ## Debian specific ##
-  set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt4-core (>= 4.6), libqt4-xml (>= 4.6), libqt4-gui (>= 4.6), libqt4-network (>= 4.6), qjson")
-  set(CPACK_DEBIAN_PACKAGE_BUILDS_DEPENDS "libqt4-dev (>= 4.6), cmake (>= 2.6), qjson")
+  set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt4-core (>= 4.6), libqt4-xml (>= 4.6), libqt4-gui (>= 4.6), libqt4-network (>= 4.6), qjson | libqjson0")
+  set(CPACK_DEBIAN_PACKAGE_BUILDS_DEPENDS "libqt4-dev (>= 4.6), cmake (>= 2.6), qjson | libqjson-dev")
 endif(WIN32)
 include(CPack)
