=== lugdulov/CMakeLists.txt ===
--- 
+++ 
@@ -9,43 +9,48 @@
   ${QT_INCLUDE_DIR}
 )
 
+if (QTLOCATION_FOUND)
+  include_directories(${QTLOCATION_INCLUDE_DIR})
+  link_directories(${QTLOCATION_LIBRARY_DIRS})
+endif ()
+
+if (QTBEARER_FOUND)
+  include_directories(${QTBEARER_INCLUDE_DIR})
+  link_directories(${QTBEARER_LIBRARY_DIRS})
+endif ()
+
 set(lugdulov_SRCS
   main.cpp
   mainwindow.cpp
-  settings.cpp
   stationdialog.cpp
-  stationspluginmanager.cpp
   stationslistdialog.cpp
   bookmarklistdialog.cpp
   stationdelegate.cpp
-  stationsmodel.cpp
-  stationssortfilterproxymodel.cpp
   stationslistview.cpp
   mapdialog.cpp
   mapwidget.cpp
-  pluginsdialog.cpp)
+  pluginsdialog.cpp
+  aboutdialog.cpp)
 
 set(lugdulov_UIS
   mainwindow.ui
   stationdialog.ui
   stationslistdialog.ui
   mapdialog.ui
-  pluginsdialog.ui)
+  pluginsdialog.ui
+  aboutdialog.ui)
 
 set(lugdulov_MOC_HDRS
   mainwindow.h
-  settings.h
   stationdialog.h
-  stationspluginmanager.h
   stationslistdialog.h
   bookmarklistdialog.h
   stationdelegate.h
-  stationsmodel.h
-  stationssortfilterproxymodel.h
   stationslistview.h
   mapdialog.h
   mapwidget.h
-  pluginsdialog.h)
+  pluginsdialog.h
+  aboutdialog.h)
 
 set(lugdulov_RCS res/lugdulov.qrc i18n/i18n.qrc)
 set(lugdulov_TRS i18n/lugdulov_fr.ts)
@@ -80,14 +85,10 @@
 )
 
 if (QTLOCATION_FOUND)
-  include_directories(${QTLOCATION_INCLUDE_DIR})
-  link_directories(${QTLOCATION_LIBRARY_DIRS})
   target_link_libraries(lugdulov ${QTLOCATION_LIBRARIES})
 endif ()
 
 if (QTBEARER_FOUND)
-  include_directories(${QTBEARER_INCLUDE_DIR})
-  link_directories(${QTBEARER_LIBRARY_DIRS})
   target_link_libraries(lugdulov ${QTBEARER_LIBRARIES})
 endif ()
