=== plugins/CMakeLists.txt ===
project(plugins)

add_subdirectory(common)
add_subdirectory(france)
add_subdirectory(belgium)
add_subdirectory(ireland)
add_subdirectory(luxembourg)
add_subdirectory(spain)
add_subdirectory(japan)
add_subdirectory(austria)
add_subdirectory(germany)
add_subdirectory(latvia)
add_subdirectory(lower-austria)
add_subdirectory(new-zealand)
add_subdirectory(switzerland)
add_subdirectory(united-kingdom)
add_subdirectory(canada)
#add_subdirectory(skel)
