=== plugins/common/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,10 @@
   stationspluginvelin.cpp
   stationsplugindupral.cpp
   station.cpp
+  stationspluginmanager.cpp
+  stationsmodel.cpp
+  stationssortfilterproxymodel.cpp
+  settings.cpp
 )
 
 set(lugdulov_base_MOC_HDRS
@@ -26,7 +30,16 @@
   stationspluginnextbike.h
   stationspluginvelin.h
   stationsplugindupral.h
+  stationspluginmanager.h
+  stationsmodel.h
+  stationssortfilterproxymodel.h
+  settings.h
 )
+
+if (HAVE_QT_BEARER)
+  set(lugdulov_base_SRCS ${lugdulov_base_SRCS} onlinestatemanager.cpp)
+  set(lugdulov_base_MOC_HDRS ${lugdulov_base_MOC_HDRS} onlinestatemanager.h)
+endif()
 
 qt4_wrap_cpp(lugdulov_base_MOC_SOURCE ${lugdulov_base_MOC_HDRS})
