=== pkg/maemo5/debian/changelog ===
lugdulov (0.3.0-2) unstable; urgency=low

  * Ship fixed libQtLocation

 -- Corentin Chary <corentincj@iksaif.net>  Sat, 30 Oct 2010 00:00:00 +0200
