## lugdulov 0.4.0-1

=== qmapcontrol/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
   mapnetwork.cpp
   openaerialmapadapter.cpp
   osmmapadapter.cpp
+  ocmmapadapter.cpp
   point.cpp
   tilemapadapter.cpp
   wmsmapadapter.cpp
@@ -43,6 +44,7 @@
   mapnetwork.h
   openaerialmapadapter.h
   osmmapadapter.h
+  ocmmapadapter.h
   point.h
   tilemapadapter.h
   yahoomapadapter.h)
@@ -51,4 +53,8 @@
 
 qt4_wrap_cpp(qmapcontrol_MOC_SOURCE ${qmapcontrol_MOC_HDRS})
 
+link_directories(${QT_LIBRARY_DIR})
+
 add_convenience_library(qmapcontrol ${qmapcontrol_SRCS} ${qmapcontrol_MOC_SOURCE})
+
+target_link_libraries(qmapcontrol ${QT_LIBRARIES})
