=== pkg/maemo5/CMakeLists.txt ===
install(FILES lugdulov.desktop DESTINATION share/applications/hildon)
install(FILES lugdulov.png DESTINATION share/icons/hicolor/64x64/hildon)

install(FILES lugdulov-wrapper DESTINATION bin)
