=== pkg/ubuntu/debian/changelog ===
lugdulov (0.4.0-1) maverick; urgency=low

  * Initial release

 -- Corentin Chary <corentincj@iksaif.net>  Sat, 12 Jan 2011 00:00:00 +0200
