=== pkg/maemo5/debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Corentin Chary <corentincj@iksaif.net>
 XSBC-Bugtracker: http://dev.iksaif.net/projects/lugdulov
-Build-Depends: debhelper (>= 5), libqjson-dev, libqtm-dev, libqt4-dev, cmake, libx11-dev
+Build-Depends: debhelper (>= 5), libqjson-dev, libqtm-11-dev, libqt4-dev, cmake, libx11-dev
 Standards-Version: 3.7.2
 
 Package: lugdulov
@@ -12,13 +12,13 @@
 XB-Description-fr_FR: Recherche de stations de vélos.
  Fonctionne en France, Belgique, Irelande, Luxembourg,
  Espagne, Autriche, Allemagne, Lettonie, Japon, Suisse,
- Nouvelle-Zelande, Grande-Bretagne, Canada.
+ Nouvelle-Zelande, Grande-Bretagne, Canada, USA.
 XB-Maemo-Display-Name: Lugdulov
 Description: A bike sharing application.
  Support cities in:
  France, Belgium, Ireland, Luxembourg, Spain, Austria,
  Germany, Latvia, Japan, New-Zealand, Switzerland,
- United-Kingdom, Canada.
+ United-Kingdom, Canada, USA.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAACXBIWXMAAFxG
  AABcRgEUlENBAAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/
