=== pkg/maemo5/debian/rules ===
--- 
+++ 
@@ -32,7 +32,10 @@
 	dh_testdir
 
 	mkdir -p $(CURDIR)/build
-	cd $(CURDIR)/build && cmake -DCMAKE_PREFIX_PATH=/usr/bin -DCMAKE_INSTALL_PREFIX=/opt/lugdulov $(CURDIR) && $(MAKE)
+	cd $(CURDIR)/build && cmake -DCMAKE_PREFIX_PATH=/usr/bin -DCMAKE_INSTALL_PREFIX=/opt/lugdulov -DQMAPCONTROL=ON -DMOBILITY_MKSPEC_VERSION=11 $(CURDIR) && $(MAKE)
+
+	#mkdir -p $(CURDIR)/qtm-geoservices-extras/build
+	#cd $(CURDIR)/qtm-geoservices-extras/build && cmake -DCMAKE_PREFIX_PATH=/usr/bin -DCMAKE_INSTALL_PREFIX=/opt/lugdulov/lib -DMOBILITY_MKSPEC_VERSION=11 -DCMAKE_BUILD_TYPE=Debug $(CURDIR)/qtm-geoservices-extras/ && $(MAKE)
 
 	touch $@
 
@@ -41,6 +44,7 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 	rm -rf $(CURDIR)/build
+	#rm -rf $(CURDIR)/qtm-geoservices-extras/build
 	dh_clean debian/shlibs.local
 	dh_clean 
 
@@ -51,7 +55,7 @@
 	dh_installdirs
 
 	cd $(CURDIR)/build && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
-
+	#cd $(CURDIR)/qtm-geoservices-extras/build && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 	chmod +x debian/tmp/opt/lugdulov/bin/lugdulov-wrapper
 
 
@@ -70,7 +74,7 @@
 	dh_fixperms
 	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps
+	dh_shlibdeps -l/opt/qtm11/lib/
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
